package com.jasamedika.medifirst2000.dao.test;

/**RuanganMDao Class Test
 */

import static org.junit.Assert.assertNull;

import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.jasamedika.medifirst2000.dao.RuanganMDao;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration("classpath*:com/jasamedika/**/applicationContext.xml")
public class RuanganMDaoTest {

	@Autowired
	private RuanganMDao dao;

	@Test
	public void testNativeQuery() {
		List<Object[]> result = dao.getNativeNamaKelas();
		assertNull(result);
		
		List<Object[]> result2 = dao.getNativeNamaRuangan("25", "26");
		assertNull(result2);
	}
}
